RTPSessionBaseHandler(3)

NAME
RTPSessionBaseHandler

SYNOPSIS

#include <pool.h>

Inherited by RTPSessionPool.

  Public Member Functions

microtimeout_t getSchedulingTimeout (RTPSessionBaseRTPSessionBase &s)
timeval getRTCPCheckInterval (RTPSessionBaseRTPSessionBase &s)
size_t takeInDataPacket (RTPSessionBaseRTPSessionBase &s)
size_t dispatchDataPacket (RTPSessionBaseRTPSessionBase &s)
void controlReceptionService (RTPSessionBaseRTPSessionBase &s)
void controlTransmissionService (RTPSessionBaseRTPSessionBase &s)
SOCKET getDataRecvSocket (RTPSessionBaseRTPSessionBase &s) const
SOCKET getControlRecvSocket (RTPSessionBaseRTPSessionBase &s) const

Member Function Documentation

  void RTPSessionBaseHandler::controlReceptionService (RTPSessionBaseRTPSessionBase & s) [inline]

  void RTPSessionBaseHandler::controlTransmissionService (RTPSessionBaseRTPSessionBase & s) [inline]

  size_t RTPSessionBaseHandler::dispatchDataPacket (RTPSessionBaseRTPSessionBase & s) [inline]

  SOCKET RTPSessionBaseHandler::getControlRecvSocket (RTPSessionBaseRTPSessionBase & s) const [inline]

  SOCKET RTPSessionBaseHandler::getDataRecvSocket (RTPSessionBaseRTPSessionBase & s) const [inline]

  timeval RTPSessionBaseHandler::getRTCPCheckInterval (RTPSessionBaseRTPSessionBase & s) [inline]

  microtimeout_t RTPSessionBaseHandler::getSchedulingTimeout (RTPSessionBaseRTPSessionBase & s) [inline]

  size_t RTPSessionBaseHandler::takeInDataPacket (RTPSessionBaseRTPSessionBase & s) [inline]

Author

Generated automatically by Doxygen for ccRTP from the source code.